AOZ Studio Beta - Bug #704

Amiga manifest tag is no longer working on a new application created via Computers button.
03/27/2021 01:11 PM - Brian Flanagan
Description

If 1 open a NEW application via the "Computers" button, | used to be able to switch to the Amiga manifest using:
#manifest: "amiga"

In the version 1.0.0 (B6a), this tag is now ignored.
The AOZ palette, timers, etc. are used regardless of the #manifest: "amiga" tag.

| can fix this by manually deleting the manifest from the program folder.
The change should be automatic when the tag is changed.

Also, | want to be able to create programs which can switch the manifest on-the-fly.
This will not be possible without automatic switching.

History

#1 - 03/31/2021 02:11 PM - Francois Lionet

- Assignee set to Baptiste Bideaux

#2 - 04/02/2021 08:01 AM - Baptiste Bideaux

- Status changed from New to Rejected

The manifest is the default (and priority) place to set up your AOZ application.

If | want to create an "amiga" program, | create it for that from the "New Application" panel and choose "Amiga". This way, | have the right parameters.
So for me there is no problem, you just have to use the right kind of project from the beginning.

#3 - 04/14/2021 01:30 PM - Brian Flanagan

- File Change_Template_Any_Time.png added

Baptiste: | understand that for you it is not a problem, but think about it from a beginner's viewpoint, and from a UX perspective.

Beginner: Many people will see "Computers" and think: Yes, | want a Computer program (vs smart phone or web site), so they click "Computer".
(The Amiga is a computer, so the type of computer may not even occur to them.) Then, when they decide to add the #manifest: "amiga" tag, they'll
be confused when AOZ does not use the Amiga configuration, even though they told it explicitly to do so.

UX: The eyes normally tend to focus on the upper left portion of the display.

The upper left (and therefore the most prominent) selection on the New dialog box is "Computers". They may not even look beyond that selection if
it applies (which it does).

NOTE: The New dialog box even explicitly states that you will be able to change the template at any time!

For future versions of AOZ, IMO, we should allow the users to change the template at any time, (as well as on-the-fly), so a single program could
optimize itself for multiple configurations either automatically or programmatically. Think about it. This would be a great way to set up user
preferences for an AOZ application - by using a programmatically selectable manifest! (We could set display resolutions, columns, etc.)

Of course, they should also be able to "tweak" the settings in custom manifests. This would be a practical application of the manifest editor, a tool
which Francois had previously suggested creating.
